Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n
Class DiagramUIPropertiesImages

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n.DiagramUIPropertiesImages

    public class DiagramUIPropertiesImages

extends java.lang.Object

Bundle of all images used by this plugin. Image descriptors can be retrieved by referencing the public image descriptor variable directly. The public strings represent images that will be cached and can be retrieved using `get(String)`.

Field Summary
`static ImageDescriptor` `DESC_ARROW_NONE`
`static ImageDescriptor` `DESC_ARROW_OPEN_BOTH`
`static ImageDescriptor` `DESC_ARROW_OPEN_SOURCE`
`static ImageDescriptor` `DESC_ARROW_OPEN_TARGET`
`static ImageDescriptor` `DESC_ARROW_SOLID_BOTH`
`static ImageDescriptor` `DESC_ARROW_SOLID_SOURCE`
`static ImageDescriptor` `DESC_ARROW_SOLID_TARGET`
`static ImageDescriptor` `DESC_ARROW_TYPE`
`static ImageDescriptor` `DESC_BOLD`
`static ImageDescriptor` `DESC_FILL_COLOR` Image descriptors.
`static ImageDescriptor` `DESC_FONT_COLOR`
`static ImageDescriptor` `DESC_ITALIC`
`static ImageDescriptor` `DESC_LINE_COLOR`
`static ImageDescriptor` `DESC_LINE_DASH`
`static ImageDescriptor` `DESC_LINE_DASH_DOT`
`static ImageDescriptor` `DESC_LINE_DASH_DOT_DOT`
`static ImageDescriptor` `DESC_LINE_DOT`
`static ImageDescriptor` `DESC_LINE_SOLID`
`static ImageDescriptor` `DESC_LINE_TYPE`
`static ImageDescriptor` `DESC_LINE_WIDTH`
`static ImageDescriptor` `DESC_LINE_WIDTH_FIVE`
`static ImageDescriptor` `DESC_LINE_WIDTH_FOUR`
`static ImageDescriptor` `DESC_LINE_WIDTH_ONE`
`static ImageDescriptor` `DESC_LINE_WIDTH_THREE`
`static ImageDescriptor` `DESC_LINE_WIDTH_TWO`
`static ImageDescriptor` `DESC_TEXT_ALIGNMENT_CENTER`
`static ImageDescriptor` `DESC_TEXT_ALIGNMENT_LEFT`
`static ImageDescriptor` `DESC_TEXT_ALIGNMENT_RIGHT`
`static java.lang.String` `IMG_ARROW_NONE`
`static java.lang.String` `IMG_ARROW_OPEN_BOTH`
`static java.lang.String` `IMG_ARROW_OPEN_SOURCE`
`static java.lang.String` `IMG_ARROW_OPEN_TARGET`
`static java.lang.String` `IMG_ARROW_SOLID_BOTH`
`static java.lang.String` `IMG_ARROW_SOLID_SOURCE`
`static java.lang.String` `IMG_ARROW_SOLID_TARGET`
`static java.lang.String` `IMG_ARROW_TYPE`
`static java.lang.String` `IMG_BOLD`
`static java.lang.String` `IMG_FILL_COLOR` Images that will be cached and can be retrieved using `get(String)`.
`static java.lang.String` `IMG_FONT_COLOR`
`static java.lang.String` `IMG_ITALIC`
`static java.lang.String` `IMG_LINE_COLOR`
`static java.lang.String` `IMG_LINE_DASH`
`static java.lang.String` `IMG_LINE_DASH_DOT`
`static java.lang.String` `IMG_LINE_DASH_DOT_DOT`
`static java.lang.String` `IMG_LINE_DOT`
`static java.lang.String` `IMG_LINE_SOLID`
`static java.lang.String` `IMG_LINE_TYPE`
`static java.lang.String` `IMG_LINE_WIDTH`
`static java.lang.String` `IMG_LINE_WIDTH_FIVE`
`static java.lang.String` `IMG_LINE_WIDTH_FOUR`
`static java.lang.String` `IMG_LINE_WIDTH_ONE`
`static java.lang.String` `IMG_LINE_WIDTH_THREE`
`static java.lang.String` `IMG_LINE_WIDTH_TWO`
`static java.lang.String` `IMG_TEXT_ALIGNMENT_CENTER`
`static java.lang.String` `IMG_TEXT_ALIGNMENT_LEFT`
`static java.lang.String` `IMG_TEXT_ALIGNMENT_RIGHT`

Constructor Summary
`DiagramUIPropertiesImages()`

Method Summary
`static Image` `get(java.lang.String imageName)` Gets an image from the image registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_FILL_COLOR

    public static final java.lang.String IMG_FILL_COLOR

  Images that will be cached and can be retrieved using `get(String)`.

  See Also:
    Constant Field Values

### IMG_BOLD

    public static final java.lang.String IMG_BOLD

See Also:
  Constant Field Values

### IMG_ITALIC

    public static final java.lang.String IMG_ITALIC

See Also:
  Constant Field Values

### IMG_FONT_COLOR

    public static final java.lang.String IMG_FONT_COLOR

See Also:
  Constant Field Values

### IMG_LINE_COLOR

    public static final java.lang.String IMG_LINE_COLOR

See Also:
  Constant Field Values

### IMG_TEXT_ALIGNMENT_LEFT

    public static final java.lang.String IMG_TEXT_ALIGNMENT_LEFT

See Also:
  Constant Field Values

### IMG_TEXT_ALIGNMENT_CENTER

    public static final java.lang.String IMG_TEXT_ALIGNMENT_CENTER

See Also:
  Constant Field Values

### IMG_TEXT_ALIGNMENT_RIGHT

    public static final java.lang.String IMG_TEXT_ALIGNMENT_RIGHT

See Also:
  Constant Field Values

### IMG_LINE_SOLID

    public static final java.lang.String IMG_LINE_SOLID

See Also:
  Constant Field Values

### IMG_LINE_DASH

    public static final java.lang.String IMG_LINE_DASH

See Also:
  Constant Field Values

### IMG_LINE_DOT

    public static final java.lang.String IMG_LINE_DOT

See Also:
  Constant Field Values

### IMG_LINE_DASH_DOT

    public static final java.lang.String IMG_LINE_DASH_DOT

See Also:
  Constant Field Values

### IMG_LINE_DASH_DOT_DOT

    public static final java.lang.String IMG_LINE_DASH_DOT_DOT

See Also:
  Constant Field Values

### IMG_ARROW_SOLID_BOTH

    public static final java.lang.String IMG_ARROW_SOLID_BOTH

See Also:
  Constant Field Values

### IMG_ARROW_SOLID_SOURCE

    public static final java.lang.String IMG_ARROW_SOLID_SOURCE

See Also:
  Constant Field Values

### IMG_ARROW_SOLID_TARGET

    public static final java.lang.String IMG_ARROW_SOLID_TARGET

See Also:
  Constant Field Values

### IMG_ARROW_OPEN_BOTH

    public static final java.lang.String IMG_ARROW_OPEN_BOTH

See Also:
  Constant Field Values

### IMG_ARROW_OPEN_SOURCE

    public static final java.lang.String IMG_ARROW_OPEN_SOURCE

See Also:
  Constant Field Values

### IMG_ARROW_OPEN_TARGET

    public static final java.lang.String IMG_ARROW_OPEN_TARGET

See Also:
  Constant Field Values

### IMG_ARROW_NONE

    public static final java.lang.String IMG_ARROW_NONE

See Also:
  Constant Field Values

### IMG_LINE_WIDTH

    public static final java.lang.String IMG_LINE_WIDTH

See Also:
  Constant Field Values

### IMG_LINE_TYPE

    public static final java.lang.String IMG_LINE_TYPE

See Also:
  Constant Field Values

### IMG_ARROW_TYPE

    public static final java.lang.String IMG_ARROW_TYPE

See Also:
  Constant Field Values

### IMG_LINE_WIDTH_ONE

    public static final java.lang.String IMG_LINE_WIDTH_ONE

See Also:
  Constant Field Values

### IMG_LINE_WIDTH_TWO

    public static final java.lang.String IMG_LINE_WIDTH_TWO

See Also:
  Constant Field Values

### IMG_LINE_WIDTH_THREE

    public static final java.lang.String IMG_LINE_WIDTH_THREE

See Also:
  Constant Field Values

### IMG_LINE_WIDTH_FOUR

    public static final java.lang.String IMG_LINE_WIDTH_FOUR

See Also:
  Constant Field Values

### IMG_LINE_WIDTH_FIVE

    public static final java.lang.String IMG_LINE_WIDTH_FIVE

See Also:
  Constant Field Values

### DESC_FILL_COLOR

    public static final ImageDescriptor DESC_FILL_COLOR

  Image descriptors.

### DESC_BOLD

    public static final ImageDescriptor DESC_BOLD

### DESC_ITALIC

    public static final ImageDescriptor DESC_ITALIC

### DESC_FONT_COLOR

    public static final ImageDescriptor DESC_FONT_COLOR

### DESC_LINE_COLOR

    public static final ImageDescriptor DESC_LINE_COLOR

### DESC_TEXT_ALIGNMENT_LEFT

    public static final ImageDescriptor DESC_TEXT_ALIGNMENT_LEFT

### DESC_TEXT_ALIGNMENT_CENTER

    public static final ImageDescriptor DESC_TEXT_ALIGNMENT_CENTER

### DESC_TEXT_ALIGNMENT_RIGHT

    public static final ImageDescriptor DESC_TEXT_ALIGNMENT_RIGHT

### DESC_LINE_SOLID

    public static final ImageDescriptor DESC_LINE_SOLID

### DESC_LINE_DASH

    public static final ImageDescriptor DESC_LINE_DASH

### DESC_LINE_DOT

    public static final ImageDescriptor DESC_LINE_DOT

### DESC_LINE_DASH_DOT

    public static final ImageDescriptor DESC_LINE_DASH_DOT

### DESC_LINE_DASH_DOT_DOT

    public static final ImageDescriptor DESC_LINE_DASH_DOT_DOT

### DESC_ARROW_NONE

    public static final ImageDescriptor DESC_ARROW_NONE

### DESC_ARROW_SOLID_BOTH

    public static final ImageDescriptor DESC_ARROW_SOLID_BOTH

### DESC_ARROW_SOLID_SOURCE

    public static final ImageDescriptor DESC_ARROW_SOLID_SOURCE

### DESC_ARROW_SOLID_TARGET

    public static final ImageDescriptor DESC_ARROW_SOLID_TARGET

### DESC_ARROW_OPEN_BOTH

    public static final ImageDescriptor DESC_ARROW_OPEN_BOTH

### DESC_ARROW_OPEN_SOURCE

    public static final ImageDescriptor DESC_ARROW_OPEN_SOURCE

### DESC_ARROW_OPEN_TARGET

    public static final ImageDescriptor DESC_ARROW_OPEN_TARGET

### DESC_LINE_WIDTH

    public static final ImageDescriptor DESC_LINE_WIDTH

### DESC_LINE_TYPE

    public static final ImageDescriptor DESC_LINE_TYPE

### DESC_ARROW_TYPE

    public static final ImageDescriptor DESC_ARROW_TYPE

### DESC_LINE_WIDTH_ONE

    public static final ImageDescriptor DESC_LINE_WIDTH_ONE

### DESC_LINE_WIDTH_TWO

    public static final ImageDescriptor DESC_LINE_WIDTH_TWO

### DESC_LINE_WIDTH_THREE

    public static final ImageDescriptor DESC_LINE_WIDTH_THREE

### DESC_LINE_WIDTH_FOUR

    public static final ImageDescriptor DESC_LINE_WIDTH_FOUR

### DESC_LINE_WIDTH_FIVE

    public static final ImageDescriptor DESC_LINE_WIDTH_FIVE

Constructor Detail

### DiagramUIPropertiesImages

    public DiagramUIPropertiesImages()

Method Detail

### get

    public static Image get(java.lang.String imageName)

  Gets an image from the image registry. This image should not be disposed of, that is handled in the image registry. The image descriptor must have previously been cached in the image registry. The cached images for the public image names defined in this file can be retrieved using this method.

  Parameters:
    `imageName` - the full filename of the image
  Returns:
    the image or null if it has not been cached in the registry

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.